> For the complete documentation index, see [llms.txt](https://docs.vernemq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vernemq.com/2.1.0/live-administration/output_format.md).

# Output Format

### Default Output Format

The default output format is called `human-readable`. It will print tables or text answers in response to your CLI commands.

### JSON Output Format

The only alternative format is JSON. You can request it by adding the `--format=json` key to a command.

```
vmq-admin listener show --format=json
```

```
{"table":[{"type":"vmq","status":"running","address":"0.0.0.0","port":"44053","mountpoint":"","max_conns":10000,"active_conns":0,"all_conns":0},{"type":"mqtt","status":"running","address":"127.0.0.1","port":"1883","mountpoint":"","max_conns":10000,"active_conns":0,"all_conns":0},{"type":"mqttws","status":"running","address":"127.0.0.1","port":"1887","mountpoint":"","max_conns":10000,"active_conns":0,"all_conns":0},{"type":"http","status":"running","address":"127.0.0.1","port":"8888","mountpoint":"","max_conns":10000,"active_conns":0,"all_conns":0}],"type":"table"}%
```

To pretty-print your JSON or extract the `table` object, use the `jq` command. Currently, not all responses give you a nice table and attributes format. Namely, `vmq-admin metrics show` will only give the metrics as text.

```
vmq-admin listener show --format=json | jq '.table'
```

```json
[
  {
    "type": "vmq",
    "status": "running",
    "address": "0.0.0.0",
    "port": "44053",
    "mountpoint": "",
    "max_conns": 10000,
    "active_conns": 0,
    "all_conns": 0
  },
  {
    "type": "mqtt",
    "status": "running",
    "address": "127.0.0.1",
    "port": "1883",
    "mountpoint": "",
    "max_conns": 10000,
    "active_conns": 0,
    "all_conns": 0
  },
  {
    "type": "mqttws",
    "status": "running",
    "address": "127.0.0.1",
    "port": "1887",
    "mountpoint": "",
    "max_conns": 10000,
    "active_conns": 0,
    "all_conns": 0
  },
  {
    "type": "http",
    "status": "running",
    "address": "127.0.0.1",
    "port": "8888",
    "mountpoint": "",
    "max_conns": 10000,
    "active_conns": 0,
    "all_conns": 0
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vernemq.com/2.1.0/live-administration/output_format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
